export { javascript } from '@codemirror/lang-javascript';
export { basicSetup, minimalSetup } from 'codemirror';

interface Extension {
}
interface Text {
    toString(): string;
}
interface EditorState {
    /**
     * The current document.
     */
    doc: Text;
}
interface EditorStateConfig {
    doc?: string | Text;
    extensions?: Extension[];
}
interface EditorViewConfig extends EditorStateConfig {
    parent?: Element | DocumentFragment;
}
interface ChangeSet {
    from: number;
    insert: string;
}
interface Transaction {
    changes: ChangeSet | ChangeSet[];
}
interface EditorView {
    state: EditorState;
    dispatch(tr: Transaction): void;
}
declare function createEditorView(config?: EditorViewConfig): EditorView;
interface StyleSpec {
}
declare function theme(spec: {
    [selector: string]: StyleSpec;
}, options?: {
    dark?: boolean;
}): Extension;

export { type ChangeSet, type EditorState, type EditorStateConfig, type EditorView, type EditorViewConfig, type Extension, type StyleSpec, type Text, type Transaction, createEditorView, theme };
